# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:		xgridloc
Version:	0.9
Release:	alt1_16
Summary:	A GTK+ application for the calculation of Maidenhead QRA Locators

Group:		Communications
License:	GPLv3
URL:		http://5b4az.chronos.org.uk/pages/locator.html

Source0:	http://5b4az.chronos.org.uk/pkg/locator/%{name}/%{name}-%{version}.tar.gz
# desktop file
Source1:	%{name}.desktop
# icon file
Source2:	%{name}.png
# default config file wrapper script 
Source3:	xgridloc.sh.in


BuildRequires:	desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
Source44: import.info

%description
xgridloc is a GTK+ graphical version of gridloc and performs the same basic 
functions for ham radio operators, but additionally it can use xplanet to 
display the home and DX locations and the great circle path between them.

%prep
%setup -qn %{name}
sh autogen.sh

%build
./autogen.sh
%configure LDFLAGS="-lm"
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" PACKAGE_LIBS="$PACKAGE_LIBS -lm"

%install
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet so we'll use a temporary one.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install  \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new package guidelines.

# install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/default/.xgridlocrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xgridlocrc

# move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xgridloc

%files
%doc AUTHORS NEWS README doc/%{name}.html COPYING
%dir %{_datadir}/%{name}
%{_libexecdir}/%{name}-bin
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/xgridlocrc
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_16
- initial fc import

